# Uses of Interface
org.springframework.cglib.core.NamingPolicy

Packages that use NamingPolicy
Package
Description
org.springframework.cglib.core
Spring's repackaging of the CGLIB core package (for internal use only).

## Uses of NamingPolicy in org.springframework.cglib.core

Classes in org.springframework.cglib.core that implement NamingPolicy
Modifier and Type
Class
Description
`class`
`DefaultNamingPolicy`
The default policy used by `AbstractClassGenerator`.
`final class`
`SpringNamingPolicy`
Custom variant of CGLIB's `DefaultNamingPolicy`, modifying the tag in generated class names from "EnhancerByCGLIB" etc to a "SpringCGLIB" tag and using a plain counter suffix instead of a hash code suffix (as of 6.0).
Methods in org.springframework.cglib.core that return NamingPolicy
Modifier and Type
Method
Description
`NamingPolicy`
AbstractClassGenerator.`getNamingPolicy()`
Methods in org.springframework.cglib.core with parameters of type NamingPolicy
Modifier and Type
Method
Description
`void`
AbstractClassGenerator.`setNamingPolicy(NamingPolicy namingPolicy)`
Override the default naming policy.